> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Packing List Item

> This endpoint updates an existing packing list item.

### Body

<ParamField body="id" required="true" type="string">
  The ID of the packing list item to update.
</ParamField>

<ParamField body="sku" required="true" type="string">
  The SKU of the packing list item to update.
</ParamField>

<ParamField body="description" required="true" type="string">
  The description of the packing list item to update.
</ParamField>

<ParamField body="quantity" required="true" type="number">
  The quantity of the packing list item to update.
</ParamField>

<ParamField body="packing_list" required="true" type="string">
  The packing list of the packing list item to update.
</ParamField>

<ParamField body="arrived" required="true" type="boolean">
  The arrived of the packing list item to update.
</ParamField>

### Response

<ResponseField name="id" required="true" type="string">
  The ID of the packing list item to update.
</ResponseField>

<ResponseField name="sku" required="true" type="string">
  The SKU of the packing list item to update.
</ResponseField>

<ResponseField name="description" required="true" type="string">
  The description of the packing list item to update.
</ResponseField>

<ResponseField name="quantity" required="true" type="number">
  The quantity of the packing list item to update.
</ResponseField>

<ResponseField name="packing_list" required="true" type="string">
  The packing list of the packing list item to update.
</ResponseField>

<ResponseField name="arrived" required="true" type="boolean">
  The arrived of the packing list item to update.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request PUT 'https://api.stateset.com/v1/packing_list_items/:id' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "1",
      "sku": "1",
      "description": "1",
      "quantity": 1,
      "packing_list": "1",
      "arrived": true
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "1",
      "sku": "1",
      "description": "1",
      "quantity": 1,
      "packing_list": "1",
      "arrived": true
  }
  ```
</ResponseExample>
